#!/usr/bin/env bash

git pull origin master;

# Note:
# Leaving out .wgetrc until
# we figure out what the 
# hell is going on here.

function doIt() {
	rsync \
		--exclude ".wgetrc" \
		--exclude ".git/" \
		--exclude ".DS_Store" \
		--exclude "init" \
		--exclude "bootstrap.sh" \
		--exclude "brew.sh" \
		--exclude "mac_settings.sh" \
		--exclude "pre_bootstrap.sh" \
		--exclude "set_machine_name.sh" \
		--exclude "README.md" \
		--exclude "LICENSE-MIT.txt" \
		-avh --no-perms . ~;
	source ~/.bash_profile;
}

if [ "$1" == "--force" -o "$1" == "-f" ]; then
	doIt;
else
	read -p "This may overwrite existing files in your home directory. Are you sure? (y/n) " -n 1;
	echo "";
	if [[ $REPLY =~ ^[Yy]$ ]]; then
		doIt;
	fi;
fi;
unset doIt;
